Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.exporter
Interface OsgiServicePropertiesResolver

All Known Implementing Classes:
  BeanNameServicePropertiesResolver

    public interface OsgiServicePropertiesResolver

An OsgiServicePropertiesResolver is responsible for providing the properties that a bean exposed as a service will be published with.

Author:
  Adrian Colyer, Costin Leau
See Also:
  `OsgiServiceFactoryBean`

Field Summary
`static String` | `BEAN_NAME_PROPERTY_KEY` Predefined property indicating the bean name of an exported Spring managed object.
`static String` | `BLUEPRINT_COMP_NAME` OSGi 4.2 Blueprint specification predefined property indicating the name of the component exported as a service.
`static String` | `SPRING_DM_BEAN_NAME_PROPERTY_KEY` Compatibility (with Spring DM) Predefined property indicating the bean name of an exported Spring managed object.

Method Summary
`Map` | `getServiceProperties(String beanName)` Returns a map containing the service properties associated with the given Spring managed bean identified by its name.

Field Detail

### SPRING_DM_BEAN_NAME_PROPERTY_KEY

    static final String SPRING_DM_BEAN_NAME_PROPERTY_KEY

  Compatibility (with Spring DM) Predefined property indicating the bean name of an exported Spring managed object.

  See Also:
    Constant Field Values

### BEAN_NAME_PROPERTY_KEY

    static final String BEAN_NAME_PROPERTY_KEY

  Predefined property indicating the bean name of an exported Spring managed object.

  See Also:
    Constant Field Values

### BLUEPRINT_COMP_NAME

    static final String BLUEPRINT_COMP_NAME

  OSGi 4.2 Blueprint specification predefined property indicating the name of the component exported as a service. Equivalent to Spring DM `BEAN_NAME_PROPERTY_KEY`.

  See Also:
    Constant Field Values

Method Detail

### getServiceProperties

    Map getServiceProperties(String beanName)

  Returns a map containing the service properties associated with the given Spring managed bean identified by its name. The name can be null (for example if nested beans are exported).

  Parameters:
    `beanName` - Spring managed bean name
  Returns:
    map containing the service properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.